API Guide Home (Online version only) |

# PhnEventType::Data Union Reference

Collaboration diagram for PhnEventType::Data:

[legend]

## Detailed Description

Definition at line 1448 of file HsPhoneEvent.h.

## Data Fields

- PhnDisconnectEventType disconnect
- PhnSubscriberAddrInfo info
- PhnConferenceDesc conference
- PhnError error
- PhnSMSParams params
- PhnKeyPressedParams keyPressed
- PhnRegistrationType registration
- PhnMsgBoxDataType msgBox
- PhnPowerEventType power
- PhnPasswordEventType password
- PhnProgressEventType progress
- PhnIndicationType indication
- PhnMovedMsgsParamsType moved
- PhnUSSDEventType ussd
- PhnSATEventType sat
- PhnPhoneEquipmentMode phoneEquipmentMode
- PhnMiscDbgRptType miscDbgRpt
- PhnPDDataType PDDataInfo
- PhnOneXStatus oneXStatus
- PhnMIPFailType mipSessionFailReason
- PhnIOTAReportType iotaInfo
- PhnDataChannelType dataChannelAvailability
- PhnOnexMipRRQType PhnOnxMipRRQ
- PhnOneXDataFailType oneXFailReason
- WAPNotificationEventType wapEvtParams
- PhnDataSessionStateType dataSesstionStatus
- PhnNetworkTime networkTime

## Field Documentation

PhnDisconnectEventType disconnect

Definition at line 1450 of file HsPhoneEvent.h.

PhnSubscriberAddrInfo info

Definition at line 1451 of file HsPhoneEvent.h.

PhnConferenceDesc conference

Definition at line 1452 of file HsPhoneEvent.h.

PhnError error

Definition at line 1453 of file HsPhoneEvent.h.

PhnSMSParams params

Definition at line 1454 of file HsPhoneEvent.h.

PhnKeyPressedParams keyPressed

Definition at line 1455 of file HsPhoneEvent.h.

PhnRegistrationType registration

Definition at line 1456 of file HsPhoneEvent.h.

PhnMsgBoxDataType msgBox

Definition at line 1457 of file HsPhoneEvent.h.

PhnPowerEventType power

Definition at line 1458 of file HsPhoneEvent.h.

PhnPasswordEventType password

Definition at line 1459 of file HsPhoneEvent.h.

PhnProgressEventType progress

Definition at line 1460 of file HsPhoneEvent.h.

PhnIndicationType indication

Definition at line 1461 of file HsPhoneEvent.h.

PhnMovedMsgsParamsType moved

Definition at line 1462 of file HsPhoneEvent.h.

PhnUSSDEventType ussd

Definition at line 1463 of file HsPhoneEvent.h.

PhnSATEventType sat

Definition at line 1464 of file HsPhoneEvent.h.

PhnPhoneEquipmentMode phoneEquipmentMode

Definition at line 1465 of file HsPhoneEvent.h.

PhnMiscDbgRptType miscDbgRpt

Definition at line 1466 of file HsPhoneEvent.h.

PhnPDDataType PDDataInfo

sent asynchronously by the modem

Definition at line 1467 of file HsPhoneEvent.h.

PhnOneXStatus oneXStatus

Definition at line 1468 of file HsPhoneEvent.h.

PhnMIPFailType mipSessionFailReason

Definition at line 1469 of file HsPhoneEvent.h.

PhnIOTAReportType iotaInfo

Definition at line 1470 of file HsPhoneEvent.h.

PhnDataChannelType dataChannelAvailability

phnEvtDataChannel event <currently not="" used>="">

Definition at line 1471 of file HsPhoneEvent.h.

PhnOnexMipRRQType PhnOnxMipRRQ

Definition at line 1472 of file HsPhoneEvent.h.

PhnOneXDataFailType oneXFailReason

Definition at line 1473 of file HsPhoneEvent.h.

WAPNotificationEventType wapEvtParams

Definition at line 1474 of file HsPhoneEvent.h.

PhnDataSessionStateType dataSesstionStatus

Sent when the data session state changes

Definition at line 1475 of file HsPhoneEvent.h.

PhnNetworkTime networkTime

GSM Only, phnEvtNetworkTime

Definition at line 1476 of file HsPhoneEvent.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:21 2008 for Palm API Guide